CVE Reference: CVE-2012-2763

NOTE: The text on this page is written by CVE MITRE and reflects neither the opinions of Secunia or the results of our research. All data on this page is written and maintained by CVE MITRE.

Original Page at CVE MITRE:
CVE-2012-2763

Description:
Buffer overflow in the readstr_upto function in plug-ins/script-fu/tinyscheme/scheme.c in GIMP 2.6.12 and earlier, and possibly 2.6.13, allows remote attackers to execute arbitrary code via a long string in a command to the script-fu server.

CVE Status:
Candidate

References:

SUSE
  http://lists.opensuse.org/opensuse-security-announce/2012-09/msg00000.html
  http://lists.opensuse.org/opensuse-updates/2012-09/msg00043.html

SAID
  Secunia Advisory: SA50737

MLIST
  http://www.openwall.com/lists/oss-security/2012/07/01/1
  http://www.openwall.com/lists/oss-security/2012/05/31/1

MISC
  http://www.reactionpenetrationtesting.co.uk/advisories/scriptfu-buffer-overflow-GIMP-2.6.html

GENTOO
  http://security.gentoo.org/glsa/glsa-201209-23.xml

CONFIRM
  http://git.gnome.org/browse/gimp/commit/?h=gimp-2-6&id=744f7a4a2b5acb8b531a6f5dd8744ebb95348fc2


Return to the previous page.